4 Replies Latest reply on Sep 22, 2015 4:44 PM by Andrew Watkins

    Upgrade from 11.2.13.6.0 to 11.3.0.25.0 (Solaris 11.3 beta) fails

    Andrew Watkins

      Messing round with Kernel zones and I tried to upgrade to Solaris 11.3 but fails with missing packages or dos not know what to do with this packages (glib2, libpng, python-2/pip-27):

       

      # pkg info entire

             Version: 0.5.11 (Oracle Solaris 11.2.13.6.0)

              Branch: 0.175.2.13.0.6.0

       

      # pkg update

      pkg update: No solution was found to satisfy constraints

      No solution found to update to latest available versions.

      This may indicate an overly constrained set of packages are installed.

      latest incorporations:

        pkg://solaris/consolidation/SunVTS/SunVTS-incorporation@7.19.2,5.11-0.175.3.0.0.25.2:20150621T231450Z

        pkg://solaris/consolidation/X/X-incorporation@0.5.11,5.11-0.175.3.0.0.25.1471:20150622T010800Z

        pkg://solaris/consolidation/cacao/cacao-incorporation@0.5.11,5.11-0.175.3.0.0.24.0:20150607T193105Z

        pkg://solaris/consolidation/cde/cde-incorporation@0.5.11,5.11-0.175.3.0.0.16.0:20150215T191928Z

        pkg://solaris/consolidation/cns/cns-incorporation@0.5.11,5.11-0.175.3.0.0.24.0:20150607T193125Z

        pkg://solaris/consolidation/desktop/desktop-incorporation@0.5.11,5.11-0.175.3.0.0.24.0:20150607T193217Z

        pkg://solaris/consolidation/desktop/gnome-incorporation@0.5.11,5.11-0.175.3.0.0.24.0:20150607T193219Z

        pkg://solaris/consolidation/ips/ips-incorporation@0.5.11,5.11-0.175.3.0.0.25.0:20150621T221528Z

        pkg://solaris/consolidation/l10n/l10n-incorporation@0.5.11,5.11-0.175.3.0.0.25.4:20150621T221951Z

        pkg://solaris/consolidation/man/man-incorporation@0.5.11,5.11-0.175.3.0.0.24.0:20150607T200806Z

        pkg://solaris/consolidation/nvidia/nvidia-incorporation@0.5.11,5.11-0.175.3.0.0.17.0:20150301T192429Z

        pkg://solaris/consolidation/osnet/osnet-incorporation@0.5.11,5.11-0.175.3.0.0.25.0:20150621T225323Z

        pkg://solaris/consolidation/sfw/sfw-incorporation@0.5.11,5.11-0.175.3.0.0.25.3:20150621T233027Z

        pkg://solaris/consolidation/sic_team/sic_team-incorporation@0.5.11,5.11-0.175.3.0.0.20.0:20150413T152656Z

        pkg://solaris/consolidation/solaris_re/solaris_re-incorporation@0.5.11,5.11-0.175.3.0.0.25.1:20150622T141729Z

        pkg://solaris/consolidation/sunpro/sunpro-incorporation@0.5.11,5.11-0.175.3.0.0.25.0:20150621T221505Z

        pkg://solaris/consolidation/userland/userland-incorporation@0.5.11,5.11-0.175.3.0.0.25.3:20150621T233028Z

        pkg://solaris/entire@0.5.11,5.11-0.175.3.0.0.25.0:20150622T142746Z

       

      The following indicates why the system cannot update to the latest version:

       

          Reject:  pkg://solaris/consolidation/desktop/desktop-incorporation@0.5.11-0.175.3.0.0.24.0

          Reason:  No version matching 'incorporate' dependency image/library/libpng@1.4.11,5.11-0.175.2.0.0.39.0 can be installed

          Reject:  pkg://solaris/entire@0.5.11-0.175.3.0.0.25.0

          Reason:  No version matching 'incorporate' dependency consolidation/desktop/desktop-incorporation@0.5.11,5.11-0.175.3.0.0.24.0 can be installed

          Reason:  No version matching 'incorporate' dependency consolidation/desktop/gnome-incorporation@0.5.11,5.11-0.175.3.0.0.24.0 can be installed

            ----------------------------------------

            Reject:  pkg://solaris/consolidation/desktop/gnome-incorporation@0.5.11-0.175.3.0.0.24.0

            Reason:  No version matching 'incorporate' dependency library/glib2@2.28.6,5.11-0.175.2.0.0.33.0 can be installed

            ----------------------------------------

          Reject:  pkg://solaris/consolidation/userland/userland-incorporation@0.5.11-0.175.3.0.0.25.3

          Reason:  No version matching 'incorporate' dependency library/python-2/pip-27@1.4.1,5.11-0.175.3.0.0.16.0 can be installed

          Reject:  pkg://solaris/consolidation/desktop/gnome-incorporation@0.5.11-0.175.3.0.0.24.0

          Reason:  [already rejected; see above]

       

      Thanks,

      Andrew